"""
    has_close_elements(numbers::Vector{Float64}, threshold::Float64)::Bool

Check if in given list of `numbers`, are any two numbers closer to each other than
given `threshold`.

# Examples

```jldoctest
julia> has_close_elements([1.0, 2.0, 3.0], 0.5)
false

julia> has_close_elements([1.0, 2.8, 3.0, 4.0, 5.0, 2.0], 0.3)
true
```
"""
function has_close_elements(numbers, threshold)
    n = length(numbers)
    for i in 1:n-1
        for j in i+1:n
            if abs(numbers[i] - numbers[j]) < threshold
                return true
            end
        end
    end
    return false
end
