"""
    intersperse(numbers::Vector{Int}, delimeter::Int)::Vector{Int}

Insert a number `delimeter` between every two consecutive elements of input list
`numbers'.

# Examples

```jldoctest
julia> intersperse(Int[], 4)
Int64[]

julia> intersperse([1, 2, 3], 4)
5-element Vector{Int64}:
 1
 4
 2
 4
 3
```
"""
function intersperse(numbers, delimiter)
    if isempty(numbers)
        return []
    end
    
    result = []
    for (index, num) in enumerate(numbers)
        push!(result, num)
        if index < length(numbers)
            push!(result, delimiter)
        end
    end
    
    return result
end
