"""
    string_xor(a::String, b::String)::String

Input are two strings `a` and `b` consisting only of `1`s and `0`s. Perform
binary XOR on these inputs and return result also as a string.

# Examples

```jldoctest
julia> string_xor("010", "110")
"100"
```
"""
function string_xor(a, b)
    result = ""
    for (bit_a, bit_b) in zip(a, b)
        xor_result = parse(Int, bit_a) ⊻ parse(Int, bit_b)
        result *= string(xor_result)
    end
    return result
end
