"""
    remove_duplicates(numbers::Vector{Int})::Vector{Int}

From a list of integers, remove all elements that occur more than once. Keep
order of elements left the same as in the input.

# Examples

```jldoctest
julia> remove_duplicates([1, 2, 3, 2, 4])
3-element Vector{Int64}:
 1
 3
 4
```
"""
function remove_duplicates(numbers)
    seen = Set()
    result = Int[]
    for num in numbers
        if !(num in seen)
            if count(==(num), numbers) == 1
                push!(result, num)
            end
            push!(seen, num)
        end
    end
    return result
end
