"""
    is_multiply_prime(a::Int)::Bool

Write a function that returns `true` if the given number is the multiplication
of 3 prime numbers and false otherwise. Knowing that `a` is less then 100.

# Examples

```jldoctest
julia> is_multiply_prime(30)  # 30 = 2 * 3 * 5
true
```
"""
function is_multiply_prime(a)
    function is_prime(n)
        if n < 2
            return false
        end
        for i in 2:isqrt(n)
            if n % i == 0
                return false
            end
        end
        return true
    end

    for i in 2:a
        if a % i == 0
            for j in i+1:a
                if a % j == 0
                    k = a ÷ (i * j)
                    if k > j && is_prime(i) && is_prime(j) && is_prime(k)
                        return true
                    end
                end
            end
        end
    end
    return false
end
