"""
    encrypt(s::String)

Create a function `encrypt` that takes a string as an argument and returns a
string encrypted with the alphabet being rotated. The alphabet should be rotated
in a manner such that the letters shift down by two multiplied to two places.

# Example

```jldoctest
julia> encrypt("hi")
"lm"

julia> encrypt("asdfghjkl")
"ewhjklnop"

julia> encrypt("gf")
"kj"

julia> encrypt("et")
"ix"
```
"""
function encrypt(s)
    shift = 2 * 2
    result = ""
    for c in s
        if islowercase(c)
            result *= Char((Int(c) - 97 + shift) % 26 + 97)
        else
            result *= c
        end
    end
    return result
end
