"""
    encode_swap(message::String)::String

Write a function that takes a message, and encodes in such a way that it swaps
case of all letters, replaces all vowels in the message with the letter that
appears 2 places after that vowel in the english alphabet. Assume only
letters.

# Examples

```jldoctest
julia> encode_swap("test")
"TGST"

julia> encode_swap("This is a message")
"tHKS KS C MGSSCGG"
```
"""
function encode_swap(message)
    vowels = "aeiouAEIOU"
    result = ""
    for char in message
        if isuppercase(char)
            new_char = lowercase(char)
        else
            new_char = uppercase(char)
        end
        if new_char in vowels
            vowel_index = findfirst(==(new_char), vowels)
            new_char = vowels[vowel_index % 5 + 6]
        end
        result *= new_char
    end
    return result
end
