"""
    match_parens(lst::Vector{String})::String

You are given a list of two strings, both strings consist of open parentheses
"(" or close parentheses ")" only. Your job is to check if it is possible to
concatenate the two strings in some order, that the resulting string will be
good. A string S is considered to be good if and only if all parentheses in S
are balanced. For example: the string "(())()" is good, while the string "())"
is not. Return "Yes" if there"s a way to make a good string, and return "No"
otherwise.

# Examples

```jldoctest
julia> match_parens(["()(", ")"])
"Yes"

julia> match_parens([")", ")"])
"No"
```
"""
function match_parens(lst)
    s1, s2 = lst
    combined = s1 * s2
    
    open_count = count(c -> c == '(', combined)
    close_count = count(c -> c == ')', combined)
    
    if open_count != close_count
        return "No"
    end
    
    balance = 0
    for c in combined
        if c == '('
            balance += 1
        else
            balance -= 1
        end
        if balance < 0
            return "No"
        end
    end
    
    return "Yes"
end
