"""
    prod_signs(xs::Vector{Int})::Union{Nothing,Int}

You are given an array `xs` of integers and you need to return sum of magnitudes
of integers multiplied by product of all signs of each number in the array,
represented by 1, -1 or 0. Note: return None for empty `xs`.

Example: julia> prod_signs([1, 2, 2, -4]) -9

julia> prod_signs([0, 1]) 0

julia> prod_signs([])
"""
function prod_signs(xs::Vector{Int})
    isempty(xs) && return nothing
    
    sign_product = prod(sign(x) for x in xs)
    magnitude_sum = sum(abs(x) for x in xs)
    
    return sign_product * magnitude_sum
end
