"""
    is_nested(s::String)::Bool

Create a function that takes a string as input which contains only square
brackets. The function should return `true` if and only if there is a valid
subsequence of brackets where at least one bracket in the subsequence is nested.

# Examples

```jldoctest
julia> is_nested("[[]]")
true

julia> is_nested("[]]]]]]][[[[[]")
false

julia> is_nested("[][]")
false

julia> is_nested("[]")
false

julia> is_nested("[[][]]")
true

julia> is_nested("[[]][[")
true
```
"""
function is_nested(s)
    stack = []
    nested = false
    for char in s
        if char == '['
            push!(stack, char)
        elseif char == ']' && !isempty(stack)
            pop!(stack)
            if !isempty(stack)
                nested = true
            end
        end
    end
    return nested
