"""
    specialFilter(nums::Vector{Int})::Int

Write a function that takes an array of numbers as input and returns the number
of elements in the array that are greater than 10 and both first and last digits
of a number are odd (1, 3, 5, 7, 9).

# Example

```jldoctest
julia> specialFilter([15, -73, 14, -15])
1

julia> specialFilter([33, -2, -3, 45, 21, 109])
2
```
"""
function specialFilter(nums)
    count(num -> begin
        abs_num = abs(num)
        first_digit = abs_num
        while first_digit >= 10
            first_digit = div(first_digit, 10)
        end
        last_digit = abs_num % 10
        num > 10 && isodd(first_digit) && isodd(last_digit)
    end, nums)
end
