"""
    cycpattern_check(a::String , b::String)::Bool

You are given 2 words. You need to return `true` if the second word or any of
its rotations is a substring in the first word.

# Example

```jldoctest
julia> cycpattern_check("abcd", "abd")
false

julia> cycpattern_check("hello", "ell")
true

julia> cycpattern_check("whassup", "psus")
false

julia> cycpattern_check("abab", "baa")
true

julia> cycpattern_check("efef", "eeff")
false

julia> cycpattern_check("himenss", "simen")
true
```
"""
function cycpattern_check(a, b)
    if length(b) > length(a)
        return false
    end
    
    extended_b = b * b
    
    for i in 1:length(b)
        rotation = extended_b[i:i+length(b)-1]
        if occursin(rotation, a)
            return true
        end
    end
    
    return false
end
