"""
    reverse_string(s::String)::String

You are given a string `s`. If `s[i]` is a letter, reverse its case from lower
to upper or vise versa, otherwise keep it as it is.  If the string contains no
letters, reverse the string. The function should return the resulted string.

# Examples

```jldoctest
julia> reverse_string("1234")
"4321"

julia> reverse_string("ab")
"AB"

julia> reverse_string("#a@C")
"#A@c"
```
"""
function reverse_string(s)
    result = ""
    has_letters = false
    
    for char in s
        if isletter(char)
            has_letters = true
            result *= isuppercase(char) ? lowercase(char) : uppercase(char)
        else
            result *= char
        end
    end
    
    if !has_letters
        result = reverse(s)
    end
    
    return result
end
